/*
 * $Id: StubProperty.java,v 1.1 2005/06/19 15:14:34 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.tools.isys;

import java.util.ResourceBundle;

/**
 * スタブプロパティ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class StubProperty {
	/** リソース */
	private static ResourceBundle resource;

	/**
	 * プロパティ値を返す
	 * @param key キー
	 * @return 値
	 */
	public synchronized static final String getProperty(String key) {
		if(resource == null) {
			resource = ResourceBundle.getBundle("stub");
		}

		return resource.getString(key);
	}
}
